Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.quartz.config
Class ScheduleConfigBuilder

    java.lang.Object
      org.mule.transport.quartz.config.ScheduleConfigBuilder

All Implemented Interfaces:
  NamedObject

    public class ScheduleConfigBuilder

extends Object
implements NamedObject

TODO

Constructor Summary
`ScheduleConfigBuilder(String scheduleId, MuleContext muleContext)`

Method Summary
`ScheduleConfigBuilder` | `addSchedulerFactoryProperty(String key, String value)`
`InboundEndpoint` | `buildScheduler()`
`String` | `getName()` Gets the name of the object
`ScheduleConfigBuilder` | `setCron(String cron)`
`ScheduleConfigBuilder` | `setInterval(long interval)`
`void` | `setName(String name)` Sets the name of the object
`ScheduleConfigBuilder` | `setScheduler(org.quartz.Scheduler scheduler)`
`ScheduleConfigBuilder` | `setStartDelay(long delay)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScheduleConfigBuilder

    public ScheduleConfigBuilder(String scheduleId,
                                 MuleContext muleContext)
                          throws MuleException

Throws:
  `MuleException`

Method Detail

### addSchedulerFactoryProperty

    public ScheduleConfigBuilder addSchedulerFactoryProperty(String key,
                                                             String value)

### setScheduler

    public ScheduleConfigBuilder setScheduler(org.quartz.Scheduler scheduler)

### setCron

    public ScheduleConfigBuilder setCron(String cron)

### setInterval

    public ScheduleConfigBuilder setInterval(long interval)

### setStartDelay

    public ScheduleConfigBuilder setStartDelay(long delay)

### buildScheduler

    public InboundEndpoint buildScheduler()
                                   throws MuleException

  Throws:
    `MuleException`

### setName

    public void setName(String name)

  Description copied from interface: `NamedObject`
  Sets the name of the object

  Specified by:
    `setName` in interface `NamedObject`
  Parameters:
    `name` - the name of the object

### getName

    public String getName()

  Description copied from interface: `NamedObject`
  Gets the name of the object

  Specified by:
    `getName` in interface `NamedObject`
  Returns:
    the name of the object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.